Bug 197948 - gateway not set after dhcp
gateway not set after dhcp
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-07-07 11:44 EDT by Fabio Pedretti
Modified: 2008-05-06 12:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:05:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fabio Pedretti 2006-07-07 11:44:33 EDT
Description of problem:
When I use the Network Configuration GUI, some network parameter are not setted
when changing from a static address to DHCP.

Version-Release number of selected component (if applicable):
I am using an up to date FC5.

How reproducible:

Steps to Reproduce:
1. Set a static address configuration with the Network Configuration GUI and
enable the interface
2. Reset now with DHCP
Actual results:
I get correctly the IP from the DHCP server, but not the gateway. My
/etc/sysconfig/network-scripts/ifcfg-eth0 file still contain the old static setting.

# 3Com Corporation 3c905C-TX/TX-M [Tornado]

Additional info:
This problem was already discussed here:
Comment 1 renke 2006-11-29 09:31:25 EST
it seems to be that the problem still isn't fixed (at least for x86_64), will
this bug ever on the focuss of some developer?

Thanks in advance,
Comment 2 Harald Hoyer 2006-11-29 10:24:06 EST
still? I thought, I fixed this for FC-6 ... hmm, time for an update release for FC-5
Comment 3 renke 2006-11-30 08:56:47 EST
this would be perfect, at the moment I have no time to update my Fedora-machines
Comment 4 Bug Zapper 2008-04-03 23:14:28 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:05:02 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.